Subject: bug#3995: 23.1; incorrect characters from Maltese keyboard on Windows

From: Trevor Spiteri <[email-masked]>
Date: Fri, 31 Jul 2009 12:29:45 +0100

When I use the Maltese (mt) keyboard on Emacs to enter Maltese
characters, a substitute character is inserted instead.  I can insert
the Maltese characters using the latin-3-postfix input method, but not
directly from the Maltese keyboard.

The Maltese characters are, using the latin-3-postfix key sequence to
describe them: c. g. h/ z. C. G. H/ Z.

When I try to input them, instead I get: c g h z C G H Z

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENG
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  which-function-mode: t
  gud-tooltip-mode: t
  auto-image-file-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
g h c z G H C Z M-x b u <tab> <backspace> <backspace>
r e p o <tab> r t - e m a c s - b u g <return>

Recent messages:
Loading image-file...done
Loading gud...done
Loading which-func...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list... [2 times]

-- 
Trevor Spiteri <[email-masked]>
http://www.tspiteri.org/